Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.search.annotations
Annotation Type Field

    @Retention(value=RUNTIME)
    @Target(value={METHOD,FIELD})
    @Documented
    public @interface Field

Mark a property as indexable

Author:
  Emmanuel Bernard

Optional Element Summary
`Analyzer` | `analyzer` Define an analyzer for the field, default to the inherited analyzer
`Boost` | `boost` Boost factor, default 1
`FieldBridge` | `bridge` Field bridge used.
`Index` | `index` Defines how the Field should be indexed defaults to tokenized
`java.lang.String` | `name` Field name, default to the JavaBean property name
`Store` | `store` Should the value be stored in the document defaults to no.
`TermVector` | `termVector` Define term vector storage requirements, default to NO.

### name

    public abstract java.lang.String name

  Field name, default to the JavaBean property name

  Default:
    ""

### store

    public abstract Store store

  Should the value be stored in the document defaults to no.

  Default:
    org.hibernate.search.annotations.Store.NO

### index

    public abstract Index index

  Defines how the Field should be indexed defaults to tokenized

  Default:
    org.hibernate.search.annotations.Index.TOKENIZED

### termVector

    public abstract TermVector termVector

  Define term vector storage requirements, default to NO.

  Default:
    org.hibernate.search.annotations.TermVector.NO

### analyzer

    public abstract Analyzer analyzer

  Define an analyzer for the field, default to the inherited analyzer

  Default:
    @org.hibernate.search.annotations.Analyzer

### boost

    public abstract Boost boost

  Boost factor, default 1

  Default:
    @org.hibernate.search.annotations.Boost(1.0f)

### bridge

    public abstract FieldBridge bridge

  Field bridge used. Default is autowired.

  Default:
    @org.hibernate.search.annotations.FieldBridge

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2006-2010 Hibernate. All Rights Reserved.